﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.ServiceBus;
using System.ServiceModel;
using System.Configuration;

namespace DemoServiceConsole
{
    class Program
    {
        static void Main(string[] args)
        {
            string serviceNamespaceDomain = ConfigurationManager.AppSettings["serviceNamespaceDomain"] as string;
            Uri address = ServiceBusEnvironment.CreateServiceUri("sb", serviceNamespaceDomain, "ServiceNetTcp");
            ServiceHost host = new ServiceHost(typeof(DemoService.Service ), address);
            host.Open();
            Console.WriteLine("Service Address:" + address);
            Console.WriteLine("Press [Enter] to exit");
            Console.ReadLine();
            host.Close();
        }
    }
}
